Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 03/25/2022 in all areas

  1. (wcmatch "ht125,jk34,xx25" "*`,*") T (wcmatch "ht125" "*`,*") nil http://docs.autodesk.com/ACD/2011/ENU/filesALR/WS1a9193826455f5ff1a32d8d10ebc6b7ccc-6754.htm have to add ` in front of character which has some function. this is backquote ` (leftside of 1) = grave key, not quote ' (rightside of L in keyboard) because wcmatch can have multiple pattern like this. (wcmatch "Name" "???,~*m*,N*") in this case , means "OR" or can use ascii code of ` = (chr 96) (wcmatch "ht125,dsdf,sdf" (strcat "*" (chr 96) ",*")) T (wcmatch "ht125dsdfsdf" (strcat "*" (chr 96) ",*")) nil
    3 points
  2. You could also use lists. list also have a added benefit of easier data manipulation. (setq note (list "ht125" "jk34" "xx25")) ("ht125" "jk34" "xx25") (member "gt8" note) nil (member "jk34" note) ("jk34" "xx25")
    2 points
  3. props @Steven P But if they cant even take the time to type a few sentences I'm out.
    1 point
  4. How are you with making up a LISP? If you use something like (setq MyText (entget (car (Entsel "Select Text")))) this will give you a list of all of that text attributes. If you use the assoc command then you can extract the values to use elsewhere, so you might try something like (setq MyTextValue (assoc 1 MyText)) ;; Gives you the text string, for example C10 and you can use the getpoint command to cet the coordinates of the corner (setq MyCoords (getpoint "Get Point")) (setq MyXCoord (nth 0 MyCoords)) (setq MyYCoord (nth 1 MyCoords)) (setq MyZCoord (nth 2 MyCoords)) So if you put all this together and into a LISP you should be able to make up a routine that asks for the label and also the corner point of the 2 lines. Just need to make a table after. For your table do you want it to be created as you select the points and text, or after you have selected them all, and do you want the table to be lines and text or as a table object? There is probably a clever way to do this with just selecting the text or the corner and LISP will find the other but the above works in a simple way.
    1 point
  5. Thanks @exceed. i will use it.
    1 point
  6. I am off fishing for a few days so back in 3 days will see what I can do. Briliant sunshine and surf at the doorstep.
    1 point
×
×
  • Create New...